Name:           libacpi
Version:        0.2
Release:        30%{?dist}
Summary:        General purpose library for ACPI 

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.ngolde.de/libacpi.html 
Source0:        http://www.ngolde.de/download/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}.patch
Patch1:         %{name}-%{version}-sysfs.patch
ExcludeArch:    ppc ppc64

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

BuildRequires:  gcc
%description    
libacpi is a general purpose shared library for programs gathering 
ACPI data on Linux. Features: Thermal zones support, Battery support, 
Fan support, AC support

Note: This is no portable code, it will only run on i386/x86_64 Linux systems.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
sed -i "s|CFLAGS += .*|CFLAGS += -fPIC $RPM_OPT_FLAGS|;s&usr/local&usr&" config.mk
sed -i "s&\${PREFIX}/share/doc/%{name}&%{_pkgdocdir}&g" Makefile


%build
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT LIBDIR=%_libdir
chmod +x $RPM_BUILD_ROOT%{_libdir}/%{name}.so.*
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%{_mandir}/man3/*
%dir %{_pkgdocdir}
%doc %{_pkgdocdir}/AUTHORS
%doc %{_pkgdocdir}/CHANGES
%doc %{_pkgdocdir}/README
%doc %{_pkgdocdir}/LICENSE
%{_libdir}/*.so.*

%files devel
%dir %{_pkgdocdir}/doc
%doc %{_pkgdocdir}/doc/*
%{_bindir}/test-libacpi
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.2-24
- Use '|' instead of '/' as sed-pattern delimiter (Fix FTBFS).
- Modernize spec file.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Dec 05 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.2-20
- Install docs into %%_pkgdocdir (RHBZ#993954).

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug 19 2008 Sven Lankes <sven@lank.es> - 0.2-12
- Add ExcludeArch for ppc/ppc64

* Sat Aug  2 2008 Sven Lankes <sven@lank.es> - 0.2-11
- redo sysfs patch to apply without fuzz
- fix patch invocation

* Mon Jul  7 2008 slankes <sven@lank.es> - 0.2-10
- minor specfile-tweaks

* Thu May  8 2008 slankes <sven@lank.es> - 0.2-9
- save docs in name-version instead of name 

* Thu May  8 2008 slankes <sven@lank.es> - 0.2-8
- add missing docdir

* Tue May  6 2008 slankes <sven@lank.es> - 0.2-7
- patch Makefile to preserve timestamps
- only use sed to mangle config.mk
- add patch from debian-package to use sysfs for battery readout
    needs at least kernel 2.6.24 

* Mon May  5 2008 slankes <sven@lank.es> - 0.2-6
- Mark library as executable so that rpmbuild will strip it
- replace upstream CFLAGS 

* Mon May  5 2008 slankes <sven@lank.es> - 0.2-5
- Various SPECFILE cleanups
- Remove .a 
- do not strip library

* Sat May  3 2008 slankes <sven@lank.es> - 0.2-4
- First version of the package

